ticalc.org
Basics Archives Community Services Programming
Hardware Help About Search Your Account
   Home :: Archives :: News :: Compatible Games With AMS v2.0x

Compatible Games With AMS v2.0x
Posted by Nick on 12 December 1999, 02:10 GMT

AMS ErrorTim Buckingham has confirmed the compatibility of four ASM games with TI's new AMS v2.03. Three of these were origninally on Ti.Fr and the fourth appeared (with the other three) on Tim's site, TI-News. The four programs, now available for download from our archives, are Phoenix v3.9, JezzBall v1.7, DStar89 v1.1 and Dr. Mario v1.0. Anybody with a program that functions correctly under AMS v2.0x should email me.

If you have problems with these programs, please detail the error (whether it be the calculator locking up or the program just not functioning) and email me. Thanks! :)

Update (Nick): Elliot Olney sent me this copy of Tetris 89 v0.71 that supposedly works under AMS v2.03. This is legitimate, AFAIK; his email says that "It was recompiled, different than the first one released." Several people verified it, and I found out that h4x0r had recompiled it. According to h4x0r, "The tetris that was distributed earlier was somehow corrupt. I just recompiled it and sent it to the A89 list."

Another Update (Nick): CloroxFour@aol.com wrote to me that "The program Clock ... will actually work and run right when it is called from the launch() program! It's interesting, because I didn't think a program like clock would even work, but the program will crash your calc if it is not called with launch()."

 


The comments below are written by ticalc.org visitors. Their views are not necessarily those of ticalc.org, and ticalc.org takes no responsibility for their content.


Re: Compatible Games With AMS v2.0x
Elliot Olney  Account Info
(Web Page)

This is great, only two days out and already have 5 working games!

     12 December 1999, 02:20 GMT

Re: Re: Compatible Games With AMS v2.0x
Chris Moultrie  Account Info
(Web Page)

Aren't there only 4? Or did I miss something? Oh well, long live the 89!

     12 December 1999, 02:29 GMT


Re: Re: Re: Compatible Games With AMS v2.0x
Elliot Olney  Account Info
(Web Page)

No, there are 5. There is a version of tetris that works, and I sent it to nick, so it sould be put up... but I didn't write it or have anything to do with it, I just have it.

Elliot

     12 December 1999, 02:33 GMT


Re: Re: Re: Re: Compatible Games With AMS v2.0x
Nick Chaves  Account Info
(Web Page)

You say tetris works (I have not got 2.03 yet) -- does grayscale work in tetris, or what does it look like if it doesn't.

     12 December 1999, 07:11 GMT


Re: Re: Re: Re: Re: Compatible Games With AMS v2.0x
h4X0r  Account Info
(Web Page)

If you have a HW 1 calc grayscale *WILL* work. However, if you have a HW 2 calc it *WIL NOT* work.

     12 December 1999, 18:40 GMT


Re: Re: Re: Re: Re: Re: Compatible Games With AMS v2.0x
Nick Chaves  Account Info
(Web Page)

oh, phew. I thought 2.03 destroyed grayscale even for us 1.00 hardware people.

     12 December 1999, 21:37 GMT


Re: Re: Compatible Games With AMS v2.0x
Erik McGuire  Account Info

Well, do we actually have 5 working games? Because whenever I run DStar, it says "Library not found: graphlib." And one more thing. I can't read french, so how does that launch program work in the new kernel? Can anyone tell me? Thanks a bunch.

     12 December 1999, 14:22 GMT

Re: Re: Re: Compatible Games With AMS v2.0x
YodaToad  Account Info

To launch a program type launch("folder\name"). Also... I haven't tried DStar yet so I can't help you there.. sorry..

YodaToad

     12 December 1999, 18:05 GMT


Re: Re: Re: Compatible Games With AMS v2.0x
h4X0r  Account Info
(Web Page)

You need to use the Graphlib that came with DoorsOS Beta 2 for DStar to work.

     12 December 1999, 18:41 GMT

Re: Compatible Games With AMS v2.0x
Bryan Tran  Account Info

cool, the only problem is, i've already downgraded back to 1.00

     12 December 1999, 02:27 GMT

Re: Re: Compatible Games With AMS v2.0x
Amergin

Where did you get your copy of AMS v1.00? I've been looking all over for one.

     13 December 1999, 00:19 GMT


Re: Re: Re: Compatible Games With AMS v2.0x
AuroraBoriales  Account Info

E-mail TI, and they will send you the 1.00 ROM.
And please think of a good reason, it makes it seem more reasonable.

     13 December 1999, 01:05 GMT


Re: Re: Compatible Games With AMS v2.0x
QWERTY187

i heard that u can't put 1.00 on to the 89 with HWV 2.00. and in order to be able to upgrade you have to have HWV 2.00. so i was just wondering what was true... can i downgrade w/o messing up my flashos? please reply or email... thank u very much...

     13 December 1999, 02:45 GMT


Re: Re: Re: Compatible Games With AMS v2.0x
youngmug

You can only go as far back as 1.05 on HW 2.0 Neither 1.00 or 1.01 will work. You will just need to put 1.05 or higher on for the calc to work.

     13 December 1999, 07:10 GMT

FIRST COMMENT
Avri Faibish  Account Info

YEAH, First Comment,
I love all those games and I like the updates!

     12 December 1999, 02:27 GMT


Re: FIRST COMMENT
DWedit  Account Info
(Web Page)

Nice First Comment... :)

     12 December 1999, 03:20 GMT


Re: Re: FIRST COMMENT
Philip Ringsmuth  Account Info
(Web Page)

Hey, he tried.

     12 December 1999, 05:59 GMT


Re: Re: Re: FIRST COMMENT
Kikki_Lavemang_Danielsson  Account Info

He'd better try harder next time.

     13 December 1999, 15:43 GMT

Re: Compatible Games With AMS v2.0x
Reno  Account Info

exactly what (besides the new kernel) do you need to run these programs?

     12 December 1999, 02:47 GMT


Re: Re: Compatible Games With AMS v2.0x
Vejita

I believe the libraries along with the kernel are needed.

     12 December 1999, 03:32 GMT

Re: Compatible Games With AMS v2.0x
TonyD7736

I just noticed that they have the [AMS 2.03] thing in front of the file name and was wondering: Are these new versions of these games? Have they been changed to be compatible with AMS 2.03, or do they work w/ out the need for change? Well, I am going to go d/l these games. Now all we need is a good shell. I'm just glad I won't have to continue putting my games on after a reset or crash.

     12 December 1999, 04:42 GMT


Re: Re: Compatible Games With AMS v2.0x
h4X0r  Account Info
(Web Page)

The original games will *not* work. The games with the [AMS 2.0x] label have had source code modification(s) to be compatible with AMS 2.0x.

About that shell thing, Thomas Corvazier (the author of SF2TI) is currently "fixing" Doors to work on AMS 2.0x.

     12 December 1999, 05:12 GMT


Re: Re: Re: Compatible Games With AMS v2.0x
Elliot Olney  Account Info

h4X0r have you re-compiled anything else to work beside tetris for AMS 2.03?

     12 December 1999, 05:54 GMT


Re: Re: Re: Re: Compatible Games With AMS v2.0x
h4X0r  Account Info
(Web Page)

Nope :( Still working on my own programs/problems.

     12 December 1999, 18:43 GMT

1  2  3  

You can change the number of comments per page in Account Preferences.

  Copyright © 1996-2011, the ticalc.org project. All rights reserved. | Contact Us | Disclaimer